Package oracle.kv.pubsub

# Class SubscriptionInsufficientLogException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.kv.FastExternalizableException
oracle.kv.FaultException
oracle.kv.pubsub.SubscriptionInsufficientLogException

All Implemented Interfaces:
  `Serializable`, `oracle.kv.impl.util.FastExternalizable`

public class SubscriptionInsufficientLogException extends FaultException
Exception used to indicate that the logs on at least one shard were insufficient for the purposes of the stream. This exception cannot be handled by retrying to establish a subscription with the same StreamPosition.

Note that this exception is not actually thrown but is delivered to the NoSQLSubscriber via the `Subscriber.onError(java.lang.Throwable)` signal.

See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<oracle.kv.impl.topo.RepGroupId>`
  `getInsufficientLogShards()`
  Gets all shards with insufficient logs to stream
  `long`
  `getReqVLSN(oracle.kv.impl.topo.RepGroupId id)`
  Gets requested VLSN to stream for a given shard
  `NoSQLSubscriberId`
  `getSubscriberId()`
  Gets the subscriber ID.
  `Set<String>`
  `getTables()`
  Gets subscribed tables

  ### Methods inherited from class oracle.kv.FaultException

  `getFaultClassName, getRemoteStackTrace, toString, wasLoggedRemotely`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface oracle.kv.impl.util.FastExternalizable

  `deserializedForm`

- ## Method Details

  - ### getSubscriberId

    public NoSQLSubscriberId getSubscriberId()
    Gets the subscriber ID.
    Returns:
      the subscriber ID

  - ### getInsufficientLogShards

    public Set<oracle.kv.impl.topo.RepGroupId> getInsufficientLogShards()
    Gets all shards with insufficient logs to stream
    Returns:
      shards with insufficient logs to stream

  - ### getTables

    public Set<String> getTables()
    Gets subscribed tables
    Returns:
      subscribed tables

  - ### getReqVLSN

    public long getReqVLSN(oracle.kv.impl.topo.RepGroupId id)
    Gets requested VLSN to stream for a given shard
    Parameters:
      `id` - id of the given shard
    Returns:
      requested VLSN to stream